/*
 * config.cpp
 * Copyright (C) Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
 * 
 * wlogout is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * wlogout is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * See the COPYING file. * 
 */


#include <iostream>

#include "config.h"


Config::Config(int argc, char **argv)
{
	for(int i=0; i<argc; i++)
		argvs.push_back(std::string(argv[i]));
		
	SHUTDOWN_CMD = "ubus call ering.ulogout shutdown";
	REBOOT_CMD = "ubus call ering.ulogout reboot";
	
	get_current_path();
	get_pixmaps();
}

Config::~Config()
{
	
}

void Config::get_current_path()
{
	char current_working_dir[1024] = {0}; 
	getcwd(current_working_dir, 1024);	
	CURRENT_PATH = std::string(current_working_dir);
	std::cout << "Current path is " << CURRENT_PATH << std::endl;
}

void Config::get_pixmaps()
{
	Glib::RefPtr<Gio::File> ref_path_A = Gio::File::create_for_path((CURRENT_PATH + "/images/openbox.png").c_str());
	Glib::RefPtr<Gio::File> ref_path_B = Gio::File::create_for_path("/usr/share/wlogout/images/openbox.png");

	std::string path;
	
	if ( ref_path_A->query_exists() )
		path = CURRENT_PATH + "/images/";

	else if ( ref_path_B->query_exists() )
		path = "/usr/share/wlogout/images/";
  
	else std::cerr << " Image's path doesn't exist! " << std::endl;
	
	LOGO = path + "openbox.png";
	SHUTDOWN_ICON = path + "shutdown.png";
	CANCEL_ICON = path + "cancel.png";
	REBOOT_ICON = path + "reboot.png";
	LOGOUT_ICON = path + "logout.png";
}

