 /*
 * main.cpp
 * Copyright (C) Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
 * 
 * simple-netaid is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * simple-netaid is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * See the COPYING file. * 
 */


#include <gtkmm.h>
#include <vector>
#include <iostream>
#include <memory>
#include <libintl.h>
#include <locale.h>

#include "window_main.h"
#include "config.h"

int main (int argc , char **argv)
{
	
	auto params = std::make_unique<Config>(argc, argv);
  
	/* Setting the i18n environment */
	setlocale (LC_ALL, "");
  
	/* Here, we are using -> char *bindtextdomain (const char *domainname, const char *dirname) */
	bindtextdomain ("wlogout", "/usr/share/locale");
	textdomain ("wlogout");
	
#if GTK_MAJOR_VERSION == 2
	
	 Gtk::Main kit(argc, argv);
	 WindowMain window(params.get());
	 Gtk::Main::run(window);
	
#elif GTK_MAJOR_VERSION == 3

	auto app = Gtk::Application::create(argc, argv);
	WindowMain *window_main=Gtk::manage(new WindowMain(*params));	
	return app->run(*window_main);
		
#endif

}
